Package groovy.util

# Class ObservableSet.MultiElementAddedEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
groovy.util.ObservableSet.ElementEvent
groovy.util.ObservableSet.MultiElementAddedEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ObservableSet<E>`

public static class ObservableSet.MultiElementAddedEvent extends ObservableSet.ElementEvent

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MultiElementAddedEvent(Object source, List values)`

## Method Summary

Modifier and Type
Method
Description
`List`
`getValues()`

### Methods inherited from class groovy.util.ObservableSet.ElementEvent

`getChangeType, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiElementAddedEvent

public MultiElementAddedEvent(Object source, List values)

## Method Details

### getValues

public List getValues()